# getSpec

querys the spefification from the module

            char* getSpec
            void

## Description

This function querys a specification string from the modules plugin. It stores the unique string identifier of the module, the number of inputs and outputs

    mod_spec
       {
         name = mod_STRING;
         number_of_inputs = UINT;
         number_of_outputs = UINT;
         deterministic = BOOL
       }

## Return Value

The module specification string is returned as a pointer to a zero terminated char array. This pointer stays valid until calling `shutDown`.